libnma-dev_1.1.93-1ubuntu1_amd64.deb


Advertisement

Description

libnma-dev - library for wireless and mobile dialogs - development files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libnma-dev_1.1.93-1ubuntu1_amd64.deb
Package name libnma-dev
Package version 1.1.93
Package release 1ubuntu1
Package architecture amd64
Package type deb
Category libdevel
Homepage https://www.gnome.org/projects/NetworkManager/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 8.86 KB
Installed size 120.00 KB
The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
This package contains the development files.

Alternatives

Package Version Architecture Repository
libnma-dev_1.2.6-0ubuntu0.16.04.4_amd64.deb 1.2.6 amd64 Ubuntu Updates Main
libnma-dev_1.2.6-0ubuntu0.16.04.4_i386.deb 1.2.6 i386 Ubuntu Updates Main
libnma-dev_1.1.93-1ubuntu1_i386.deb 1.1.93 i386 Ubuntu Main
libnma-dev - - -

Requires

Name Value
gir1.2-nma-1.0 = 1.1.93-1ubuntu1
libnm-dev >= 1.0.0
libnma0 = 1.1.93-1ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libnma-dev_1.1.93-1ubuntu1_amd64.deb
Source Package network-manager-applet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnma-dev deb package:
    # sudo apt-get install libnma-dev

Files

Path
/usr/include/libnma/nma-mobile-providers.h
/usr/include/libnma/nma-mobile-wizard.h
/usr/include/libnma/nma-ui-utils.h
/usr/include/libnma/nma-vpn-password-dialog.h
/usr/include/libnma/nma-wifi-dialog.h
/usr/lib/x86_64-linux-gnu/libnma.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libnma.pc
/usr/share/doc/libnma-dev/changelog.Debian.gz
/usr/share/doc/libnma-dev/copyright
/usr/share/gir-1.0/NMA-1.0.gir

Changelog

2016-04-08 - Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
network-manager-applet (1.1.93-1ubuntu1) xenial; urgency=medium
[ Mathieu Trudel-Lapierre ]
* Merge with Debian; remaining changes:
- lp341684_device_sensitive_disconnect_notify.patch: show correct
notification messages for disconnect events, to be in line with the other
*connect*text patches.
- lp460144_correctly_update_notification.patch: cleaner notification
messages, and allow for messages to be updated instead of cleared.
- applet-wifi-menu-before-vpn.patch: show Create New and Connect to Hidden
wifi menu items with the other Wifi items, rather than separated by
the VPN menus.
- position_dialogs_to_center_of_the_screen.patch: position dialogs to the
center of the screen.
- make_menu_items_insensitive_based_on_permissions.patch,
hide_policy_items_env_var.patch: provide a method to desensitize or hide
menu items which are useless given the current policykit policy level of
the user.
- applet_adhoc_use_wpa_rsn_part1.patch: enable Ad-Hoc using WPA RSN.
- debian/rules: ship extra icons, use --enable-indicators, export
translations for Launchpad and fail if any files are missing from
.install files, or not being installed.
- debian/control: Build-Depend on dh-translations, libappindicator3-dev,
update package descriptions, add Breaks against gnome-bluetooth (<< 3.0),
switch gnome-icon-theme to adwaita-icon-theme
* Refreshed patches.
* debian/rules: configure with --with-indicator, rather than --enable-...
since we're using the merged code from upstream now for indicator support.
* debian/patches/reorder-indicator-items.patch: make sure devices show
before networking toggles again.
* debian/patches/indicator-by-default.patch: have the indicator enabled by
default.
* debian/patches/ubuntu-vpn-icon-name.patch: use '-secure'-suffixed icons
when connected to the VPN, since we can't composit icons on the fly.
[ Sebastien Bacher ]
* debian/control,
debian/patches/lower_dbusmenu_requirement.patch:
- use libdbusmenu but a version matching the archive one
2016-04-06 - Michael Biebl <biebl@debian.org>
network-manager-applet (1.1.93-1) unstable; urgency=medium
* New upstream release (1.2 rc1).
2016-03-31 - Michael Biebl <biebl@debian.org>
network-manager-applet (1.1.92-1) unstable; urgency=medium
* New upstream release (1.2 beta3).
* Drop dependency on libdbus-glib-1-dev.
* Rebase patches.
2016-03-02 - Michael Biebl <biebl@debian.org>
network-manager-applet (1.1.91-1) unstable; urgency=medium
* New upstream release (1.2 beta2).
* Rebase patches.
* Fix build system to run tests on "make check".
* Dump the contents of test-suite.log to stdout when the test suite fails.
* Skip the test suite if "nocheck" is set via DEB_BUILD_OPTIONS.
2016-02-04 - Michael Biebl <biebl@debian.org>
network-manager-applet (1.1.90-3) unstable; urgency=medium
* Upload to unstable.
* Bump Standards-Version to 3.9.7.
* Fix test suite failure for non-C locales. Patch cherry-picked from
upstream Git.
* Fix fix macro name GLIB_GSETTINGS in configure.ac. Patch cherry-picked
from upstream Git.
2016-01-22 - Michael Biebl <biebl@debian.org>
network-manager-applet (1.1.90-2) experimental; urgency=medium
* Update debian/copyright.
* Run test suite during build.
2016-01-20 - Michael Biebl <biebl@debian.org>
network-manager-applet (1.1.90-1) experimental; urgency=medium
* New upstream release (1.2 beta1).
* Bump dependency on network-manager and related dev packages to (>= 1.1).
* Update configure switches. The gnome-bluetooth plugin and the migration
tool were dropped upstream, the --with-modem-manager-1 configure switch
was renamed to --with-wwan.
* Rebase patches.
* Install AppData file for nm-connection-editor.
* Add packages for new libnma library.

See Also

Package Description
libnma0_1.1.93-1ubuntu1_amd64.deb library for wireless and mobile dialogs (libnm version)
libnotify-bin_0.7.6-2svn1_amd64.deb sends desktop notifications to a notification daemon (Utilities)
libnotify-dev_0.7.6-2svn1_amd64.deb sends desktop notifications to a notification daemon (Development files)
libnotify-doc_0.7.6-2svn1_all.deb sends desktop notifications to a notification daemon (Documentation)
libnotify4_0.7.6-2svn1_amd64.deb sends desktop notifications to a notification daemon
libnpth-mingw-w64-dev_1.2-3_all.deb replacement for GNU Pth using system threads (Windows dev)
libnpth0-dev_1.2-3_amd64.deb headers for libnpth0
libnpth0_1.2-3_amd64.deb replacement for GNU Pth using system threads
libnspr4-dev_4.11-1ubuntu1_amd64.deb Development files for the NetScape Portable Runtime library
libnspr4_4.11-1ubuntu1_amd64.deb NetScape Portable Runtime Library
libnss-db_2.2.3pre1-5build5_amd64.deb NSS module for using Berkeley Databases as a naming service
libnss-extrausers_0.6-3_amd64.deb nss module to have an additional passwd, shadow and group file
libnss-mdns_0.10-7_amd64.deb NSS module for Multicast DNS name resolution
libnss-myhostname_229-4ubuntu4_amd64.deb nss module providing fallback resolution for the current hostname
libnss-sss_1.13.4-1ubuntu1_amd64.deb Nss library for the System Security Services Daemon
Advertisement
Advertisement